(function($){
	
    jQuery.fn.lzslider = function(options){
		var sliding;
        options = $.extend({
            slides: jQuery('.slides', this),
			previews: jQuery('.slider-previews', this),
			arrows: jQuery('.slider-arrows', this),
			delay:5000,
			speed:2000,
			current: 0,
			effect: 'lizard'
        }, options);
		
		var make = function(){
			options.slides.css('height', jQuery('.slide', options.slides).eq(0).height());
			jQuery('.slides .slide').css('position', 'absolute');
			sliding=setInterval(changeslide, options.delay);
			jQuery( '.slide', options.slides).each(function() {
				if (jQuery(this).attr('src')!='')
				jQuery('<img>', {'src':jQuery(this).attr('src')}).appendTo(options.previews);
			});
			jQuery(options.previews).find('img').live('click', function() {
				options.current=jQuery(this).index();
				slide();
				clearInterval(sliding);
				sliding=setInterval(changeslide, options.delay);
			});
			
			jQuery(options.arrows).find('.slide-left').live('click', function() {
				options.current=options.current-1;
				if (options.current<0) options.current = jQuery(options.slides).find('.slide').length-1;
				slide();
				clearInterval(sliding);
				sliding=setInterval(changeslide, options.delay);
			});
			jQuery(options.arrows).find('.slide-right').live('click', function() {
				options.current=options.current+1;
				if (options.current>jQuery(options.slides).find('.slide').length-1) options.current = 0;
				slide();
				clearInterval(sliding);
				sliding=setInterval(changeslide, options.delay);
			});
			
		};
		
		function changeslide(){
			if (jQuery(options.slides).find('.slide.active').length==0||jQuery(options.slides).find('.slide.active').index()==jQuery(options.slides).find('.slide').length-1) 
				options.current=0;
			else options.current=jQuery(options.slides).find('.slide.active').index()+1;
			slide();
		}
		
		function slide(){
			
			switch(options.effect) {
				case 'lizard':
					doLizard();
					break;
				case 'fade':
					doFade();
					break;
				case 'slide':
					
					break;
			}
			
		}
		
		function doLizard() {
			
			jQuery('.slide', options.slides).eq(options.current).addClass('active').show().siblings().removeClass('active').hide();
			jQuery('.slide.active', options.slides).find('.slide-element').each(function(){
				jQuery(this).attr('left', jQuery(this).position().left);
			});
			var w=jQuery('.slide.active', options.slides).width();
			jQuery('.slide.active', options.slides).find('.slide-element').each(function(){
				var l=(w*jQuery(this).width()/w);
				if (jQuery(this).attr('left')>(w/2)) {
					l=(jQuery(this).attr('left')-1+1)-l;
				} else {
					l=l+(jQuery(this).attr('left')-1+1);
				}
				jQuery(this).css({'left':l+'px','opacity':'0'});
				jQuery(this).animate({
						opacity:1,
						left:jQuery(this).attr('left')+'px'
					}, options.speed, function() {
				});
			});
		}
		
		function doFade() {
			jQuery('.slide', options.slides).eq(options.current).addClass('active').fadeIn(options.speed).siblings().removeClass('active').fadeOut(options.speed);
		}
		
		return this.each(make);
	};
	
})(jQuery);